## WebKitWebExtension WebKitWebExtension |

## Functions

void | (*WebKitWebExtensionInitializeFunction) ()
void | (*WebKitWebExtensionInitializeWithUserDataFunction) ()
WebKitWebPage * | webkit_web_extension_get_page ()

## Signals

void | page-created | Run Last

## Types and Values

struct | WebKitWebExtension

## Object Hierarchy

        GObject
        ╰── WebKitWebExtension

## Description

## Functions

### WebKitWebExtensionInitializeFunction ()

    void
    (*WebKitWebExtensionInitializeFunction)
                                   (WebKitWebExtension *extension);

Type definition for a function that will be called to initialize the web extension when the web process starts.

#### Parameters

extension | a WebKitWebExtension |

### WebKitWebExtensionInitializeWithUserDataFunction ()

    void
    (*WebKitWebExtensionInitializeWithUserDataFunction)
                                   (WebKitWebExtension *extension,
                                    const GVariant *user_data);

Type definition for a function that will be called to initialize the web extensions when the web process starts, and which receives as additional argument the user data set with `webkit_web_context_set_web_extensions_initialization_user_data()`.

#### Parameters

extension | a WebKitWebExtension |
user_data | a GVariant |

Since 2.4

### webkit_web_extension_get_page ()

    WebKitWebPage *
    webkit_web_extension_get_page (WebKitWebExtension *extension,
                                   guint64 page_id);

Get the web page of the given `page_id` .

#### Parameters

extension | a WebKitWebExtension |
page_id | the identifier of the WebKitWebPage to get |

#### Returns

the WebKitWebPage for the given `page_id` , or `NULL` if the identifier doesn't correspond to an exsiting web page.

[transfer none]

## Types and Values

### struct WebKitWebExtension

    struct WebKitWebExtension;

## Signal Details

### The `“page-created”` signal

    void
    user_function (WebKitWebExtension *extension,
                   WebKitWebPage      *web_page,
                   gpointer            user_data)

This signal is emitted when a new WebKitWebPage is created in the Web Process.

#### Parameters

extension | the WebKitWebExtension on which the signal is emitted |
web_page | the WebKitWebPage created |
user_data | user data set when the signal handler was connected. |

Flags: Run Last